/**
 *
 * @param {Array} arr 转换成树的数组
 * @param {String} parentId 父id字段名
 * @param {String} id id名称,默认为"id"
 */
function array2Tree(arr, parentId, id = "id") {
    if (!Array.isArray(arr) || !arr.length) throw new Error("请传入数组");
    if (!parentId || typeof parentId !== "string") throw new Error("请传入 父id 字段名称");
    let map = {};
    arr.map((item) => (map[item[id]] = item));
    let roots = [];
    arr.map((item) => {
        const parent = map[item[parentId]];
        if (parent) {
            (parent.children || (parent.children = [])).push(item);
        } else {
            roots.push(item);
        }
    });
    map = null;
    return roots;
}
export { array2Tree };
